/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2024-05-30
* Changed:         2024-05-31
*
* */

#ifndef EVENT_PARAMETER_HPP
#define EVENT_PARAMETER_HPP // TODO: all preprocessors should have LS_STD_prefix

#include <list>
#include <ls-std/core/definition.hpp>
#include <string>

namespace ls::std::event
{
  ls_std_class EventParameter
  {
    public:

      EventParameter();
      ~EventParameter();

      void addParameter(const ::std::string &_parameter);
      [[nodiscard]] ::std::list<::std::string> get() const;

    private:

      ::std::list<::std::string> parameters{};
  };
}

#endif
